#2079 closed defect (fixed)

cpukit/libfs/src/rfs/rtems-rfs-bitmaps-ut.c

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: chrisj@… Blocked By:
Blocking:

Description

The file cpukit/libfs/src/rfs/rtems-rfs-dir.c is used and can be removed.

It neither implements any exported API nor is it used anywhere.

Change History (7)

comment:1 Changed on Oct 26, 2012 at 6:24:00 AM by Ralf Corsepius

Version: unknownHEAD

comment:2 Changed on Oct 26, 2012 at 8:16:38 AM by Ralf Corsepius

Cc: Chris Johns added

comment:3 Changed on Nov 6, 2012 at 3:03:54 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

comment:4 Changed on Nov 6, 2012 at 5:10:37 AM by Chris Johns

Resolution: fixed
Status: closedreopened

comment:5 Changed on Nov 6, 2012 at 5:38:42 AM by Ralf Corsepius

Resolution: fixed
Status: reopenedclosed
Summary: cpukit/libfs/src/rfs/rtems-rfs-dir.ccpukit/libfs/src/rfs/rtems-rfs-bitmaps-ut.c

comment:6 Changed on Nov 6, 2012 at 5:45:36 AM by Chris Johns

Replying to comment:7:

Ouch, I see why you are complaining: This bug was supposed to be about
"rtems-rfs-bitmaps-ut.c" Likely a cut'n'pasto on my part.

I removed this file, because it is poorly implemented, badly integrated and
unused. Duplicates of its contents can be found in some testsuite.

Ah ok this now make sense. I saw that patch. Yes this test is now part of the testsuite and coverage tests.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.